| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::guild_widget Class Reference

Represents a guild widget, simple web widget of member list. More...

`#include <guild.h>`

Inheritance diagram for dpp::guild_widget:
[legend]
Collaboration diagram for dpp::guild_widget:
[legend]

## Public Member Functions

| guild_widget ()
| Construct a new guild widget object.
std::string | build_json (bool with_id=false) const
| Convert object to json string.
guild_widget & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

snowflake | channel_id
| Channel widget points to.
bool | enabled
| True if enabled.

## Protected Member Functions

guild_widget & | fill_from_json_impl (nlohmann::json *j)
| Build a guild widget from json.
json | to_json_impl (bool with_id=false) const
| Build json for a guild widget.

## Friends

struct | json_interface< guild_widget >

## Detailed Description

Represents a guild widget, simple web widget of member list.

## Constructor & Destructor Documentation

## ◆ guild_widget()

dpp::guild_widget::guild_widget | ( |  | ) |

Construct a new guild widget object.

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< guild_widget >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

guild_widget & dpp::json_interface< guild_widget >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

guild_widget & dpp::guild_widget::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Build a guild widget from json.

Parameters

  j | json to build from

Returns
  guild_widget& reference to self

## ◆ to_json()

auto dpp::json_interface< guild_widget >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## ◆ to_json_impl()

json dpp::guild_widget::to_json_impl | ( | bool | with_id = false | ) | const

protected

Build json for a guild widget.

Parameters

  with_id | Add ID to output

Returns
  std::string guild widget stringified json

## Friends And Related Symbol Documentation

## ◆ json_interface< guild_widget >

friend struct json_interface< guild_widget >

friend

## Member Data Documentation

## ◆ channel_id

snowflake dpp::guild_widget::channel_id

Channel widget points to.

## ◆ enabled

bool dpp::guild_widget::enabled

True if enabled.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0